#!/usr/sepp/bin/perl -w

($Param_FileName,$NumberOfRuns)=@ARGV;

open(NEWCONDORFILE,"> param/$Param_FileName.condor");

printf NEWCONDORFILE <<EOT;
############################################################
## Condor File
############################################################
universe        =       vanilla
local_files     =       /tmp/* /scratch/*
getenv          =       True
Rank            =       Kflops
executable      =       param/matlab.sh
EOT
printf(NEWCONDORFILE "log       = param/log/$Param_FileName.log\n");
printf(NEWCONDORFILE "output    = param/log/$Param_FileName.out.\$(Process)\n");
printf(NEWCONDORFILE "error     = param/log/$Param_FileName.out.\$(Process)\n");
printf(NEWCONDORFILE "Arguments = $Param_FileName(\$(Process))\n");
printf(NEWCONDORFILE "Queue $NumberOfRuns\n");

close(NEWCONDORFILE);

system("condor_submit param/$Param_FileName.condor");
